package com.yuchen.saas.integration.hik.isc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "CameraDeviceAreaBindingPageVO", description = "CameraDeviceAreaBindingPageVO")
public class CameraDeviceAreaBindingPageVO {
    /**
     * id
     */
    @ApiModelProperty(name = "id", value = "id")
    private Long id;
    /**
     * 监控区域id
     */
    @ApiModelProperty(name = "cameraAreaId", value = "监控区域id")
    private Long cameraAreaId;

    /**
     * 监控设备id
     */
    @ApiModelProperty(name = "cameraId", value = "监控设备id")
    private Long cameraId;

    /**
     * 监控设备名称
     */
    @ApiModelProperty(name = "cameraName", value = "监控设备名称")
    private String cameraName;

    /**
     * 住户是否可见（0：否 1：是）
     */
    @ApiModelProperty(name = "residentVisibleEnable", value = "住户是否可见（0：否 1：是）")
    private Integer residentVisibleEnable;

    /**
     * 项目id
     */
    @ApiModelProperty(name = "parkId", value = "项目id")
    private Long parkId;

    /**
     * 项目名称
     */
    @ApiModelProperty(name = "parkName", value = "项目名称")
    private String parkName;

    /**
     * 设备标识
     */
    @ApiModelProperty(name = "deviceIdentify", value = "设备标识")
    private String deviceIdentify;

    /**
     * 设备类型
     */
    @ApiModelProperty(name = "deviceType", value = "设备类型")
    private String deviceType;

    /**
     * 设备位置
     */
    @ApiModelProperty(name = "deviceAddress", value = "设备位置")
    private String deviceAddress;

    public Long getCameraAreaId() {
        return cameraAreaId;
    }

    public void setCameraAreaId(Long cameraAreaId) {
        this.cameraAreaId = cameraAreaId;
    }

    public Long getCameraId() {
        return cameraId;
    }

    public void setCameraId(Long cameraId) {
        this.cameraId = cameraId;
    }

    public String getCameraName() {
        return cameraName;
    }

    public void setCameraName(String cameraName) {
        this.cameraName = cameraName;
    }

    public Integer getResidentVisibleEnable() {
        return residentVisibleEnable;
    }

    public void setResidentVisibleEnable(Integer residentVisibleEnable) {
        this.residentVisibleEnable = residentVisibleEnable;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public String getDeviceIdentify() {
        return deviceIdentify;
    }

    public void setDeviceIdentify(String deviceIdentify) {
        this.deviceIdentify = deviceIdentify;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceAddress() {
        return deviceAddress;
    }

    public void setDeviceAddress(String deviceAddress) {
        this.deviceAddress = deviceAddress;
    }
}
